package at.ac.uibk.gitsearch.service.dto;

import org.junit.jupiter.api.Test;
import static org.assertj.core.api.Assertions.assertThat;
import at.ac.uibk.gitsearch.web.rest.TestUtil;

public class WatchListEntryDTOTest {

    @Test
    public void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(WatchListEntryDTO.class);
        WatchListEntryDTO watchListEntryDTO1 = new WatchListEntryDTO();
        watchListEntryDTO1.setId(1L);
        WatchListEntryDTO watchListEntryDTO2 = new WatchListEntryDTO();
        assertThat(watchListEntryDTO1).isNotEqualTo(watchListEntryDTO2);
        watchListEntryDTO2.setId(watchListEntryDTO1.getId());
        assertThat(watchListEntryDTO1).isEqualTo(watchListEntryDTO2);
        watchListEntryDTO2.setId(2L);
        assertThat(watchListEntryDTO1).isNotEqualTo(watchListEntryDTO2);
        watchListEntryDTO1.setId(null);
        assertThat(watchListEntryDTO1).isNotEqualTo(watchListEntryDTO2);
    }
}
